Werk #5907

Komponentepackages
TitelCentOS/RedHat: Add explicit dependency to php-cli to fix possible broken PNP graphs
Datum2018-03-21 15:41:01
Check_MK EditionCheck_MK Raw Edition (CRE)
Check_MK Version1.4.0p28,1.5.0b1
Level1 - Triviale Änderung
KlasseBug Fix
KompatibilitätCompatible - no manual interaction needed

The previous Check_MK packages were not explicitly declaring the dependency to the php-cli package which is needed to make Dokuwiki, NagVis and PNP4Nagios work.

The dependency was only declared for php which normally implies php-cli. Unfortunately there are third party packages that don't have this implicit dependency.

To make Check_MK work out of the box with those PHP installations, we now added php-cli and php-xml as explicit dependency.